Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
NPTL及Oracle9i的疑问???
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese)
View previous topic :: View next topic  
Author Message
sexiszero
n00b
n00b


Joined: 22 Sep 2003
Posts: 9

PostPosted: Wed Feb 02, 2005 1:38 am    Post subject: NPTL及Oracle9i的疑问??? Reply with quote

Dell PE6600安装Gentoo Linux 2004.3,使用了nptl nptlonly的USE设置,bootstrap并emerge -e world后,无法安装Oracle9i,是否跟NPTL有关系呢?
Back to top
View user's profile Send private message
Fleta
n00b
n00b


Joined: 12 Dec 2004
Posts: 68

PostPosted: Wed Feb 02, 2005 8:06 am    Post subject: Reply with quote

去掉nptlonly,重编下glibc试试。
Back to top
View user's profile Send private message
younker
Apprentice
Apprentice


Joined: 18 Feb 2004
Posts: 264
Location: China

PostPosted: Wed Feb 02, 2005 9:40 am    Post subject: Reply with quote

Maybe you can install Oracle10g, works well with nptl.
Back to top
View user's profile Send private message
sexiszero
n00b
n00b


Joined: 22 Sep 2003
Posts: 9

PostPosted: Thu Feb 03, 2005 1:48 am    Post subject: Reply with quote

请看如下信息:
Code:
oracle@pe6600 Disk1 $ ./runInstaller
oracle@pe6600 Disk1 $ Initializing Java Virtual Machine from /tmp/OraInstall2005-02-03_09-41-25AM/jre/bin/java. Please wait...
head: `-1' option is obsolete; use `-n 1' since this will be removed in the future
Error occurred during initialization of VM
Unable to load native library: /tmp/OraInstall2005-02-03_09-41-25AM/jre/lib/i386/libjava.so: symbol __libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

oracle@pe6600 Disk1 $ /lib/libc.so.6
GNU C Library 20040808 release version 2.3.4, by Roland McGrath et al.
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 3.3.5  (Gentoo Linux 3.3.5-r1, ssp-3.3.2-3, pie-8.7.7.1).
Compiled on a Linux 2.4.21 system on 2005-02-02.
Available extensions:
        GNU libio by Per Bothner
        crypt add-on version 2.1 by Michael Glad and others
        linuxthreads-0.10 by Xavier Leroy
        BIND-8.2.3-T5B
        libthread_db work sponsored by Alpha Processor Inc
        NIS(YP)/NIS+ NSS modules 0.19 by Thorsten Kukuk
Thread-local storage support included.
For bug reporting instructions, please see:
<http://www.gnu.org/software/libc/bugs.html>.
Back to top
View user's profile Send private message
Fleta
n00b
n00b


Joined: 12 Dec 2004
Posts: 68

PostPosted: Thu Feb 03, 2005 5:54 am    Post subject: Reply with quote

楼主并没有nptl支持,怎么还在用2.4的kernel?
Back to top
View user's profile Send private message
sexiszero
n00b
n00b


Joined: 22 Sep 2003
Posts: 9

PostPosted: Thu Feb 03, 2005 6:55 am    Post subject: Reply with quote

Fleta wrote:
楼主并没有nptl支持,怎么还在用2.4的kernel?


这是去掉nptl后重新编译的,编译时的内核是2.4,现在用的2.6
Back to top
View user's profile Send private message
Fleta
n00b
n00b


Joined: 12 Dec 2004
Posts: 68

PostPosted: Thu Feb 03, 2005 7:03 am    Post subject: Reply with quote

干嘛去掉"nptl"?我是说去掉"nptlonly"。干嘛要2.4和2.6换来换去呢?只用2.6不好吗?
Back to top
View user's profile Send private message
EricHsu
Moderator
Moderator


Joined: 03 May 2004
Posts: 591
Location: Aragon Consulting Group, Beijing, China

PostPosted: Fri Feb 04, 2005 4:25 am    Post subject: Reply with quote

个人觉得应该是你的 glibc 太新的缘故.
以前在 redhat 9.0 下都得降级 glibc 来装 oracle...
至于在 gentoo 下装 oracle, 我记得论坛里有专门的 tips & tricks, 英语没问题的话, 就搜索一下论坛吧 :)
_________________
- http://nkbit.com
- http://twitter.com/xuyihua
Back to top
View user's profile Send private message
sexiszero
n00b
n00b


Joined: 22 Sep 2003
Posts: 9

PostPosted: Fri Feb 04, 2005 6:04 am    Post subject: Reply with quote

Fleta wrote:
干嘛去掉"nptl"?我是说去掉"nptlonly"。干嘛要2.4和2.6换来换去呢?只用2.6不好吗?

昨天在2.6.10下试了一下,感觉好像2.4是指的header版本,如果ACCEPT_KEYWORDS="x86",则安装的就是2.4版的linux-headers

至于nptlonly,老兄说得对^_^


估计也是glibc版本太新的缘故
Back to top
View user's profile Send private message
kohno
Tux's lil' helper
Tux's lil' helper


Joined: 28 Aug 2004
Posts: 112

PostPosted: Fri Feb 04, 2005 10:46 am    Post subject: Reply with quote

sexiszero wrote:
昨天在2.6.10下试了一下,感觉好像2.4是指的header版本,如果ACCEPT_KEYWORDS="x86",则安装的就是2.4版的linux-headers

至于nptlonly,老兄说得对^_^

用nptl应该用linux26-headers的,2.4的linux-headers应该删除。
Back to top
View user's profile Send private message
fryrice
n00b
n00b


Joined: 24 Jan 2005
Posts: 5

PostPosted: Sat Feb 05, 2005 9:10 am    Post subject: oracle的METALINK里面有说过NPTL有可能和ORA9I不兼 Reply with quote

但是我用的NPTL ONLY。。~又不想换回LINUX THREAD..

只有硬着头皮装了,值得庆幸的是

ORACLE 9204我在我的机器上装非常顺利

没有降级GCC~~~安装过程中也没有报任何错误~我记得我以前在CENTOS3.3上面安装

的时候,降级了GCC还报了一个错呢

顺便升级了9206~~~~~
Back to top
View user's profile Send private message
sexiszero
n00b
n00b


Joined: 22 Sep 2003
Posts: 9

PostPosted: Mon Feb 07, 2005 5:35 am    Post subject: Reply with quote

用了9.2.04,并安装metalink上的几个补丁,已经搞定啦 :lol:
Back to top
View user's profile Send private message
younker
Apprentice
Apprentice


Joined: 18 Feb 2004
Posts: 264
Location: China

PostPosted: Mon Feb 07, 2005 6:04 am    Post subject: Reply with quote

我的libc要比你的新,安装oracle10g没有问题,用tora来管理也没有问题。
Back to top
View user's profile Send private message
Annihil4tor
n00b
n00b


Joined: 30 Dec 2003
Posts: 17

PostPosted: Thu Feb 24, 2005 1:49 pm    Post subject: Reply with quote

Maybe it could help you:

wget ftp://people.redhat.com/drepper/libcwait.c

follow the instructions inside the libcwait.c file.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum